Subject: [PMOL] Fwd: Publication Request for draft-ietf-pmol-metrics-framework-06

From: Al Morton <[email-masked]>
Date: Wed, 01 Dec 2010 15:36:32 -0500

FYI,
Al

>Date: Wed, 01 Dec 2010 15:33:51 -0500
>To: [email-masked], Dan Romascanu <[email-masked]>
>From: Al Morton <[email-masked]>
>Subject: Publication Request for draft-ietf-pmol-metrics-framework-06
>Cc: Ron Bonica <[email-masked]>
>
>This is a publication request for
>http://tools.ietf.org/html/draft-ietf-pmol-metrics-framework-06
>as a Best Current Practice RFC.
>
>
>     (1.a) Who is the Document Shepherd for this document? Has the
>           Document Shepherd personally reviewed this version of the
>           document and, in particular, does he or she believe this
>           version is ready for forwarding to the IESG for publication?
>Al Morton is the shepherd, has read every version since the
>draft was created and subsequently adopted on the charter,
>and believes it is now ready for publication.
>
>     (1.b) Has the document had adequate review both from key WG members
>           and from key non-WG members? Does the Document Shepherd have
>           any concerns about the depth or breadth of the reviews that
>           have been performed?
>The draft has been reviewed by many active working group members and
>benefits from their comments. It has also been circulated to other
>performance-oriented working groups.
>
>     (1.c) Does the Document Shepherd have concerns that the document
>           needs more review from a particular or broader perspective,
>           e.g., security, operational complexity, someone familiar with
>           AAA, internationalization or XML?
>No.
>
>     (1.d) Does the Document Shepherd have any specific concerns or
>           issues with this document that the Responsible Area Director
>           and/or the IESG should be aware of? For example, perhaps he
>           or she is uncomfortable with certain parts of the document, or
>           has concerns whether there really is a need for it. In any
>           event, if the WG has discussed those issues and has indicated
>           that it still wishes to advance the document, detail those
>           concerns here. Has an IPR disclosure related to this document
>           been filed? If so, please include a reference to the
>           disclosure and summarize the WG discussion and conclusion on
>           this issue.
>There are no concerns and no IPR disclosures.
>
>     (1.e) How solid is the WG consensus behind this document? Does it
>           represent the strong concurrence of a few individuals, with
>           others being silent, or does the WG as a whole understand and
>           agree with it?
>There was active discussion of this draft in the WG and many points addressed,
>all amicably.
>After several WG Last Calls, the latest closing with comments that were
>efficiently resolved, both the active and the recently passive participants
>now appear to be satisfied.
>
>     (1.f) Has anyone threatened an appeal or otherwise indicated extreme
>           discontent? If so, please summarize the areas of conflict in
>           separate email messages to the Responsible Area Director. (It
>           should be in a separate email because this questionnaire is
>           entered into the ID Tracker.)
>No.
>     (1.g) Has the Document Shepherd personally verified that the
>           document satisfies all ID nits? (See
>           http://www.ietf.org/ID-Checklist.html and
>           http://tools.ietf.org/tools/idnits/). Boilerplate checks are
>           not enough; this check needs to be thorough. Has the document
>           met all formal review criteria it needs to, such as the MIB
>           Doctor, media type and URI type reviews?
>Yes.
>
>There is one warning:
>   == Outdated reference: draft-ietf-sipping-rtcp-summary has been published
>      as RFC 6035
>
>
>
>     (1.h) Has the document split its references into normative and
>           informative? Are there normative references to documents that
>           are not ready for advancement or are otherwise in an unclear
>           state? If such normative references exist, what is the
>           strategy for their completion? Are there normative references
>           that are downward references, as described in [RFC3967]? If
>           so, list these downward references to support the Area
>           Director in the Last Call procedure for them [RFC3967].
>The references are split.
>There is one informative reference to a draft that was since updated
>(see above).
>Also, this ref is likely to be published soon:
>    [I-D.ietf-ippm-spatial-composition]
>               Morton, A. and E. Stephan, "Spatial Composition of
>               Metrics", draft-ietf-ippm-spatial-composition-16 (work in
>               progress), August 2010.
>
>No down-refs.
>
>I would also suggest to add a reference to
>http://tools.ietf.org/html/draft-ietf-ippm-metrictest
>which will be the published draft that uses material from
>existing ref [I-D.bradner-metricstest].
>
>     (1.i) Has the Document Shepherd verified that the document IANA
>           consideration section exists and is consistent with the body
>           of the document? If the document specifies protocol
>           extensions, are reservations requested in appropriate IANA
>           registries? Are the IANA registries clearly identified? If
>           the document creates a new registry, does it define the
>           proposed initial contents of the registry and an allocation
>           procedure for future registrations? Does it suggest a
>           reasonable name for the new registry? See [RFC5226]. If the
>           document describes an Expert Review process has Shepherd
>           conferred with the Responsible Area Director so that the IESG
>           can appoint the needed Expert during the IESG Evaluation?
>N/A
>
>     (1.j) Has the Document Shepherd verified that sections of the
>           document that are written in a formal language, such as XML
>           code, BNF rules, MIB definitions, etc., validate correctly in
>           an automated checker?
>N/A
>
>     (1.k) The IESG approval announcement includes a Document
>           Announcement Write-Up. Please provide such a Document
>           Announcement Write-Up? Recent examples can be found in the
>           "Action" announcements for approved documents. The approval
>           announcement contains the following sections:
>
>           Technical Summary
>              Relevant content can frequently be found in the abstract
>              and/or introduction of the document. If not, this may be
>              an indication that there are deficiencies in the abstract
>              or introduction.
>This document describes a framework and a process for developing
>performance metrics of protocols and applications transported over
>over IETF-specified protocols, and that can be used to characterize
>traffic on live networks and services.
>
>There's a steady (but small) stream of performance-oriented proposals
>that appear in many areas of the IETF. The authors of such proposals
>can usually benefit from the expertise of those who have tackled
>similar tasks, and much of that expertise is embedded in this memo.
>When others review such proposals, the framework forms an outline of
>points to consider, and the memo defines a possible process for review.
>
>
>           Working Group Summary
>              Was there anything in WG process that is worth noting? For
>              example, was there controversy about particular points or
>              were there decisions where the consensus was particularly
>              rough?
>There were no areas of rough consensus, as the elements of reasonable
>performance metrics appear to be agreed in the practicing community.
>
>           Document Quality
>              Are there existing implementations of the protocol? Have a
>              significant number of vendors indicated their plan to
>              implement the specification? Are there any reviewers that
>              merit special mention as having done a thorough review,
>              e.g., one that resulted in important changes or a
>              conclusion that the document had no substantive issues? If
>              there was a MIB Doctor, Media Type or other expert review,
>              what was its course (briefly)? In the case of a Media Type
>              review, on what date was the request posted?
>This framework has already been used in the review of several approved
>drafts, such as:
>http://tools.ietf.org/html/draft-ietf-pmol-sip-perf-metrics
>and
>http://tools.ietf.org/html/rfc5814

---

From: Benoit Claise <[email-masked]>
Date: Mon, 06 Dec 2010 20:58:29 -0800

Thanks Al,
>>   == Outdated reference: draft-ietf-sipping-rtcp-summary has been 
Yes, just published.
>> existing ref [I-D.bradner-metricstest].
Is there something I should act upon now, by producing a new version?
Btw, what is the state of this draft?

Regards, Benoit.
> _______________________________________________
> PMOL mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/pmol

---

From: Benoit Claise <[email-masked]>
Date: Mon, 06 Dec 2010 21:23:24 -0800

Thanks Al,
Yes, just published.

Regards, Benoit.